%global pypi_name jaraco.functools
%global pkg_name jaraco-functools

Name:           python-%{pkg_name}
Version:        3.0.1
Release:        %mkrel 1
Summary:        Functools like those found in stdlib
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.functools
Source0:        %{pypi_source}
BuildArch:      noarch
 
%description
Functools like those found in stdlib

%package -n python3-%{pkg_name}
Summary:   %{summary}
Group:     Development/Python
Requires:  python3-jaraco
Requires:  python3dist(toml)

BuildRequires:  python3-devel
BuildConflicts: python3dist(pytest) = 3.7.3
BuildRequires:  python3-jaraco-classes
BuildRequires:  python3dist(more-itertools)
BuildRequires:  python3dist(pytest) >= 3.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 1.15
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(toml)
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Functools like those found in stdlib

%package -n python-%{pkg_name}-doc
Summary:        jaraco-functools documentation

BuildRequires:  python3dist(jaraco.packaging) >= 3.2
BuildRequires:  python3dist(rst.linker) >= 1.9
BuildRequires:  python3dist(sphinx)

%description -n python-%{pkg_name}-doc
Documentation for jaraco-functools

%prep
%autosetup -n jaraco.functools-%{version}
# Remove bundled egg-info
rm -rf jaraco.functools.egg-info

%build
%py3_build

# generate html docs 
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
# disabled for right now, need a newer version of pytest-flake8
# https://src.fedoraproject.org/rpms/python-pytest-flake8/pull-request/2
# AttributeError: 'Application' object has no attribute 'make_notifier'
# LANG=C.utf-8 %%{__python3} -m pytest --ignore=build

%files -n python3-%{pkg_name}
%doc LICENSE
%doc README.rst
# These excludes are provided by python3-jaraco
%exclude %{python3_sitelib}/jaraco/__init__*
%exclude %{python3_sitelib}/jaraco/__pycache__/__init__*
%{python3_sitelib}/jaraco/functools*
%{python3_sitelib}/jaraco/__pycache__/functools*
%{python3_sitelib}/jaraco.functools-%{version}-py%{python3_version}.egg-info

%files -n python-%{pkg_name}-doc
%doc html
%doc LICENSE


%changelog
* Tue Nov 10 2020 guillomovitch <guillomovitch> 3.0.1-1.mga8
+ Revision: 1644305
- imported package python-jaraco-functools

